%global src_name gnome_shell___orta_by_half_left-d3f9qp5
%global theme_name orta
%global theme Orta


Name:           gnome-shell-theme-%{theme_name}
Version:        1.0
Release:        2%{?dist}
Summary:        The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-Orta-207047273
Source0:        http://www.deviantart.com/download/207047273/%{src_name}.zip

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.0.1
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c 
unzip gs-%{theme_name}.zip
unzip gs-%{theme_name}-dark.zip

%build
# nothing to build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/gnome-shell
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/gnome-shell

# put the theme files into some data dir
cp -r gs-%{theme_name}/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.
cp -r gs-%{theme_name}-dark/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f


%files
%doc gs-orta/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%dir %{_datadir}/themes/%{theme}-dark
%{_datadir}/themes/%{theme}/*
%{_datadir}/themes/%{theme}-dark/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0
- initial rpm build
